// LIBRARIES

// PINS
int vccSensors = 4;
int photoTransistorPin = 2;
int soilMoisturePin = 15;
int pumpPin = 5;
int ledPin = 13;

unsigned long initialTime;

void setup() {
  initialTime = millis();
  
  // declare the ledPin as an OUTPUT:
  pinMode(ledPin, OUTPUT);
  pinMode(pumpPin, OUTPUT);
  pinMode(vccSensors, OUTPUT);

  Serial.begin(115200);
}

unsigned long timeElapsed;

void loop() {
  
  if (// it's been an hour) {
    timeElapsed = millis();
    takeMeasurement();
  }
  
  if (photoValue < 1500) {
    digitalWrite(pumpPin, HIGH);
  } else {
    digitalWrite(pumpPin, LOW);
  }

  digitalWrite(ledPin, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(100);                       // wait for a second
  digitalWrite(ledPin, LOW);    // turn the LED off by making the voltage LOW
  delay(100);
  
  Serial.print(photoValue);
  Serial.print("\t");
  Serial.println(soilValue);
  
//  delay(50);
}

void takeMeasurement() {
  // Every hours take some measurements.
  digitalWrite(vccSensors, HIGH);
  delay(2000);
  
 // read the value from the sensor:
  const int photoValue = analogRead(photoTransistorPin);
  const int soilValue = analogRead(soilMoisturePin);
}

void pumpOn() {
  digitalWrite(pumpPin, HIGH);
}

void pumpOff() {
  digitalWrite(pumpPin, LOW);
}
